Package org.springframework.context

# Interface ApplicationStartupAware

All Superinterfaces:
  `org.springframework.beans.factory.Aware`

All Known Implementing Classes:
  `ConfigurationClassPostProcessor`

public interface ApplicationStartupAware extends org.springframework.beans.factory.Aware
Interface to be implemented by any object that wishes to be notified of the `ApplicationStartup` that it runs with.

Since:
  5.3
Author:
  Brian Clozel
See Also:
  - `ApplicationContextAware`

## Method Summary

Modifier and Type
Method
Description
`void`
`setApplicationStartup(org.springframework.core.metrics.ApplicationStartup applicationStartup)`
Set the ApplicationStartup that this object runs with.

## Method Details

### setApplicationStartup

void setApplicationStartup(org.springframework.core.metrics.ApplicationStartup applicationStartup)
Set the ApplicationStartup that this object runs with.

Invoked after population of normal bean properties but before an init callback like InitializingBean's afterPropertiesSet or a custom init-method. Invoked before ApplicationContextAware's setApplicationContext.

Parameters:
  `applicationStartup` - application startup to be used by this object